UHD 003.004.003-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Namespaces | Macros | Typedefs | Enumerations | Functions
msg.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/utils/pimpl.hpp>`
`#include <ostream>`
`#include <string>`

Go to the source code of this file.

## Classes
class | uhd::msg::_msg
| Internal message object (called by UHD_MSG macro) More...

## Namespaces
namespace | uhd
namespace | uhd::msg

## Macros
#define | UHD_MSG(type) uhd::msg::_msg(uhd::msg::type)()
#define | UHD_HERE() UHD_MSG(status) << __FILE__ << ":" << __LINE__ << std::endl
| Helpful debug tool to print site info. More...
#define | UHD_VAR(var) UHD_MSG(status) << #var << " = " << var << std::endl;
| Helpful debug tool to print a variable. More...

## Typedefs
typedef void(* | uhd::msg::handler_t )(type_t, const std::string &)
| Typedef for a user-registered message handler. More...

## Enumerations
enum | uhd::msg::type_t { uhd::msg::status = 's', uhd::msg::warning = 'w', uhd::msg::error = 'e', uhd::msg::fastpath = 'f' }
| Possible message types. More...

## Functions
UHD_API void | uhd::msg::register_handler (const handler_t &handler)

## Macro Definition Documentation

#define UHD_HERE | ( |  | ) | UHD_MSG(status) << __FILE__ << ":" << __LINE__ << std::endl

Helpful debug tool to print site info.

#define UHD_MSG | ( |  | type | ) | uhd::msg::_msg(uhd::msg::type)()

A UHD message macro with configurable type. Usage: UHD_MSG(warning) << "some warning message" << std::endl;

#define UHD_VAR | ( |  | var | ) | UHD_MSG(status) << #var << " = " << var << std::endl;

Helpful debug tool to print a variable.